<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div id="tariffOptionResult"></div>

<c:choose>
	<c:when test="${empty availableList}"><em>На данный момент нет опций, которые Вы могли бы активировать.</em></c:when>
	<c:otherwise><em>Выберите тарифную опцию, которую хотите активировать, режим активации и нажмите "Активировать".</em></c:otherwise>
</c:choose>
	
<c:forEach var="tariffOptionItem" items="${availableList}">
	<div class="tile">
	<input type="hidden" name="operation" value="activate"/>
	<input type="hidden" name="option_id" value="${tariffOptionItem.id}"/>
	
	<div style="font-size: 1.2rem; font-weight: bold; margin: 0px 10px;">Опция: ${tariffOptionItem.title}</div>
	<c:if test="${not empty item.description}"><div class="infoMessage">${tariffOptionItem.description}"</div></c:if>
	
	<div class="tile4480" style="padding-left: 10pt; padding-bottom: 3pt; justify-content: flex-start;">
	<c:forEach var="tariffOptionModeItem" items="${tariffOptionItem.activateModeList}">
		<div class="button1" style="padding: 10px; margin: 10px; cursor: pointer; border: 1px solid #888; background-color: #eee;"
			onclick="if( confirm( 'Вы уверены, что хотите активировать опцию?' ) ) { showBlock( 'tariffOptionResult', 'activate', { ...tariffOptionQuery, tariffOptionId: ${tariffOptionItem.id}, tariffOptionModeId: ${tariffOptionModeItem.id} } ); } return false;" >
			<div>Режим активации: ${tariffOptionModeItem.title}</div>
			<div>Стоимость активации: ${tariffOptionModeItem.chargeSumma}<span class="CUR"></span></div> 
		</div>
	</c:forEach>
	</div>
	</div>
</c:forEach>

<form id="activate_form" method="post" action="{$WEBEXECUTER}">
	<input type="hidden" name="operation" value="activate"/>
	<xsl:call-template name="submit">
		<xsl:with-param name="title" select="'Активировать опцию'"/>
	</xsl:call-template>
</form>